Qt 5.7 | Qt 3D | C++ Classes | QStencilOperationArguments

Qt 5.7.1 Reference Documentation

# QStencilOperationArguments Class

(Qt3DRender::QStencilOperationArguments)

- List of all members, including inherited members

## Public Types

enum | FaceMode { Front, Back, FrontAndBack }
enum | Operation { Zero, Keep, Replace, Increment, ..., Invert }

## Properties

- allTestsPassOperation : Operation
- depthTestFailureOperation : Operation
- faceMode : const FaceMode
- stencilTestFailureOperation : Operation

## Public Functions

| ~QStencilOperationArguments()
Operation | allTestsPassOperation() const
Operation | depthTestFailureOperation() const
FaceMode | faceMode() const
Operation | stencilTestFailureOperation() const

## Public Slots

void | setAllTestsPassOperation(Operation operation)
void | setDepthTestFailureOperation(Operation operation)
void | setStencilTestFailureOperation(Operation operation)

## Signals

void | allTestsPassOperationChanged(Operation stencilDepthPass)
void | depthTestFailureOperationChanged(Operation depthFail)
void | faceModeChanged(FaceMode faceMode)
void | stencilTestFailureOperationChanged(Operation stencilFail)

## Member Type Documentation

### enum QStencilOperationArguments::FaceMode

### enum QStencilOperationArguments::Operation

## Property Documentation

### allTestsPassOperation : Operation

Access functions:

Operation | allTestsPassOperation() const
void | setAllTestsPassOperation(Operation operation)

Notifier signal:

void | allTestsPassOperationChanged(Operation stencilDepthPass)

### depthTestFailureOperation : Operation

Access functions:

Operation | depthTestFailureOperation() const
void | setDepthTestFailureOperation(Operation operation)

Notifier signal:

void | depthTestFailureOperationChanged(Operation depthFail)

### faceMode : const FaceMode

Access functions:

FaceMode | faceMode() const

Notifier signal:

void | faceModeChanged(FaceMode faceMode)

### stencilTestFailureOperation : Operation

Access functions:

Operation | stencilTestFailureOperation() const
void | setStencilTestFailureOperation(Operation operation)

Notifier signal:

void | stencilTestFailureOperationChanged(Operation stencilFail)

## Member Function Documentation

### QStencilOperationArguments::~QStencilOperationArguments()

Destroys the instance of QStencilOperationArguments.